Bug 620089 - gnuradio needs to be rebuilt against python 2.7 in F14 and devel
gnuradio needs to be rebuilt against python 2.7 in F14 and devel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnuradio (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On: 620090
Blocks: Python27Rebuild
  Show dependency treegraph
 
Reported: 2010-07-31 16:33 EDT by Thomas Spura
Modified: 2010-08-01 18:29 EDT (History)
4 users (show)

See Also:
Fixed In Version: gnuradio-3.2.2-7.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-01 16:35:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Spura 2010-07-31 16:33:44 EDT
The package needs to be rebuilt against python 2.7 in both F14 and devel.

This package seems to be broken, because of the boost update. The latest version 3.3.0 doesn't build either:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2369947

Information on the new "dist-git" system can be seen here:
  http://fedoraproject.org/wiki/Using_Fedora_GIT

Information on common difficulties with Python 2.7 rebuilds can be seen here:
  https://fedoraproject.org/wiki/Features/Python_2.7

Once it's been successfully rebuilt for F14, an update needs to be filed to get the rebuild into F14:
  https://admin.fedoraproject.org/updates/new/

Please add this bug to the update, to make it easy to track what's been done, and what's left to do.

Thanks!
Comment 1 Randall "Randy" Berry 2010-07-31 22:45:28 EDT
Although I do not maintain this package this package breaks 2 packages I do maintain. I sent an email upstream for possible fixes to the boost errors. The python issues I believe I have patched (also sent upstream) but I can't get past the boost bomb to know for certain.
Comment 2 Orcan Ogetbil 2010-08-01 16:35:46 EDT
The fixed package is built an pushed to stable.
Comment 3 Orcan Ogetbil 2010-08-01 16:42:48 EDT
Randy, the fixed gnuradio is also in the buildroot for F-14. You don't need to wait to build your other packages that depend on gnuradio.

Note You need to log in before you can comment on or make changes to this bug.